> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# DEX - 見積もり

> DEX 取引の見積り情報を取得



## OpenAPI

````yaml /jp/api-reference/openapi-defi-jp.yaml GET /v2/dex/{chain}/quote
openapi: 3.1.0
info:
  title: Defi Service API
  description: Defi Service API ⚡️
  version: '1.0'
  contact:
    name: AI
    url: https://github.com/chainstream-io/defi-service
    email: ai@sx.ai
servers:
  - url: https://api.chainstream.io
    description: Production
security: []
tags:
  - name: Endpoints
    description: ''
paths:
  /v2/dex/{chain}/quote:
    get:
      tags:
        - Dex
      summary: Dex - 見積り取得
      description: DEX 取引の見積り情報を取得
      operationId: quote
      parameters:
        - name: chain
          required: true
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          schema:
            $ref: '#/components/schemas/ChainSymbol'
        - name: dex
          required: true
          in: query
          description: DEX プロトコルタイプ
          schema:
            example: raydium
            enum:
              - raydium
              - pumpfun
            type: string
        - name: amount
          required: true
          in: query
          description: 取引数量
          schema:
            example: 1000000000
            type: string
        - name: inputMint
          required: true
          in: query
          description: 入力トークンアドレス
          schema:
            example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
            type: string
        - name: outputMint
          required: true
          in: query
          description: 出力トークンアドレス
          schema:
            example: So11111111111111111111111111111111111111112
            type: string
        - name: exactIn
          required: true
          in: query
          description: 入力確定モード
          schema:
            default: true
            example: true
            type: boolean
        - name: slippage
          required: true
          in: query
          description: スリッページ許容率
          schema:
            format: int64
            example: 10
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DexQuoteResponse'
      security:
        - bearer: []
components:
  schemas:
    ChainSymbol:
      type: string
      enum:
        - sol
        - bsc
        - eth
    DexQuoteResponse:
      type: object
      properties:
        amountOut:
          type: string
          description: 出力数量
          example: '1000000000'
        minAmountOut:
          type: string
          description: 最小出力数量
        currentPrice:
          type: string
          description: 現在の価格
        executionPrice:
          type: string
          description: 約定価格
        priceImpact:
          type: string
          description: プライスインパクト
          example: '10.5'
        fee:
          type: string
          description: 取引手数料
          example: '1000000000'
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````